Subject: Re: BUILD_DEPENDS on autoconf
To: None <>
From: None <>
List: tech-pkg
Date: 05/30/2002 09:09:16
On Thu, 30 May 2002 wrote:

> >I think we should make this an error. It should be pretty easy for
> >whoever makes changes to to also include a patch for
> >configure.
> 	i don't think so.  it is not trivial to maintain patches to configure.
> 	sometimes maintenance cost is too high.

why's that?  Patch, rerun autoconf to get a new configure and
then produce a diff against the old one which you can provide as a patch.

I strongly agree that we should avoid auto{conf,make} BUILD_DEPENDS
especially as they require perl and not everyone may want to install that.
Plus there is the whole problem with autoconf-2.13 and 2.5* not being
compatible.  The same problem exists with automake-1.{4,5,6}